This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 886976 - xulrunner on ARM tried to build webrtc with SSE linux which isn't supported
xulrunner on ARM tried to build webrtc with SSE linux which isn't supported
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-12-13 12:42 EST by Peter Robinson
Modified: 2013-07-24 11:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 11:28:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 783848 None None None Never

  None (edit)
Description Peter Robinson 2012-12-13 12:42:57 EST
webrtc tries to build with SSE on ARM which is wrong and hence fails :-/

I've seen some discussion about the problem on IRC logs from searching google so it seems it's a know problem but I couldn't find an upstream bug report as yet.

Example failure is at the following link. I've disabled it for the moment but it should be supportable on ARM

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1288980

appropriate snippet:

/builddir/build/BUILD/xulrunner-17.0.1/mozilla-release/objdir/_virtualenv/bin/python /builddir/build/BUILD/xulrunner-17.0.1/mozilla-release/config/pythonpath.py -I../../config /builddir/build/BUILD/xulrunner-17.0.1/mozilla-release/config/expandlibs_gen.py --depend .deps/libgkmedias.a.desc.pp -o libgkmedias.a.desc   ../../gfx/ots/src/libmozots.a ../../gfx/qcms/libmozqcms.a ../../gfx/harfbuzz/src/libmozharfbuzz.a  ../../gfx/cairo/cairo/src/libmozcairo.a  ../../gfx/cairo/libpixman/src/libmozlibpixman.a ../../gfx/graphite2/src/libmozgraphite2.a ../../media/libtremor/lib/libtremor.a ../../media/libogg/src/libogg.a  ../../media/libtheora/lib/libtheora.a  ../../media/libopus/libopus.a  ../../media/libnestegg/src/libnestegg.a  ../../media/libsydneyaudio/src/libsydneyaudio.a  ../../media/libspeex_resampler/src/libspeex_resampler.a  ../../media/libcubeb/src/libcubeb.a  ../../media/libpng/libmozpng.a  ../../gfx/angle/libangle.a ../../parser/expat/lib/libmozexpat_s.a  ../../gfx/2d/libgfx2d.a  ../../media/webrtc/trunk/src/modules/modules_video_capture_module/libvideo_capture_module.a ../../media/webrtc/trunk/src/modules/modules_webrtc_utility/libwebrtc_utility.a ../../media/webrtc/trunk/src/modules/modules_audio_coding_module/libaudio_coding_module.a ../../media/webrtc/trunk/src/modules/modules_CNG/libCNG.a ../../media/webrtc/trunk/src/common_audio/common_audio_signal_processing/libsignal_processing.a ../../media/webrtc/trunk/src/modules/modules_G711/libG711.a ../../media/webrtc/trunk/src/modules/modules_G722/libG722.a ../../media/webrtc/trunk/src/modules/modules_iLBC/libiLBC.a ../../media/webrtc/trunk/src/modules/modules_iSAC/libiSAC.a ../../media/webrtc/trunk/src/modules/modules_iSACFix/libiSACFix.a ../../media/webrtc/trunk/src/modules/modules_PCM16B/libPCM16B.a ../../media/webrtc/trunk/src/modules/modules_NetEq/libNetEq.a ../../media/webrtc/trunk/src/common_audio/common_audio_resampler/libresampler.a ../../media/webrtc/trunk/src/common_audio/common_audio_vad/libvad.a ../../media/webrtc/trunk/src/system_wrappers/source/system_wrappers_system_wrappers/libsystem_wrappers.a ../../media/webrtc/trunk/src/modules/modules_webrtc_video_coding/libwebrtc_video_coding.a ../../media/webrtc/trunk/src/modules/modules_webrtc_i420/libwebrtc_i420.a ../../media/webrtc/trunk/src/modules/modules_webrtc_vp8/libwebrtc_vp8.a ../../media/webrtc/trunk/src/common_video/common_video_webrtc_libyuv/libwebrtc_libyuv.a ../../media/webrtc/trunk/src/modules/modules_video_render_module/libvideo_render_module.a ../../media/webrtc/trunk/src/video_engine/video_engine_video_engine_core/libvideo_engine_core.a ../../media/webrtc/trunk/src/modules/modules_media_file/libmedia_file.a ../../media/webrtc/trunk/src/modules/modules_rtp_rtcp/librtp_rtcp.a ../../media/webrtc/trunk/src/modules/modules_udp_transport/libudp_transport.a ../../media/webrtc/trunk/src/modules/modules_video_processing/libvideo_processing.a ../../media/webrtc/trunk/src/modules/modules_video_processing_sse2/libvideo_processing_sse2.a ../../media/webrtc/trunk/src/voice_engine/voice_engine_voice_engine_core/libvoice_engine_core.a ../../media/webrtc/trunk/src/modules/modules_audio_conference_mixer/libaudio_conference_mixer.a ../../media/webrtc/trunk/src/modules/modules_audio_device/libaudio_device.a ../../media/webrtc/trunk/src/modules/modules_audio_processing/libaudio_processing.a ../../media/webrtc/trunk/src/modules/modules_aec/libaec.a ../../media/webrtc/trunk/src/modules/modules_aec_sse2/libaec_sse2.a ../../media/webrtc/trunk/src/modules/modules_apm_util/libapm_util.a ../../media/webrtc/trunk/src/modules/modules_aecm/libaecm.a ../../media/webrtc/trunk/src/modules/modules_agc/libagc.a ../../media/webrtc/trunk/src/modules/modules_ns/libns.a ../../media/webrtc/trunk/third_party/libyuv/libyuv_libyuv/libyuv.a ../../media/webrtc/trunk/src/common_video/common_video_webrtc_jpeg/libwebrtc_jpeg.a  ../../gfx/skia/libskia.a
Traceback (most recent call last):
  File "/builddir/build/BUILD/xulrunner-17.0.1/mozilla-release/config/pythonpath.py", line 56, in <module>
    main(sys.argv[1:])
  File "/builddir/build/BUILD/xulrunner-17.0.1/mozilla-release/config/pythonpath.py", line 48, in main
    execfile(script, frozenglobals)
  File "/builddir/build/BUILD/xulrunner-17.0.1/mozilla-release/config/expandlibs_gen.py", line 43, in <module>
    print >>outfile, generate(args)
  File "/builddir/build/BUILD/xulrunner-17.0.1/mozilla-release/config/expandlibs_gen.py", line 27, in generate
    raise Exception("File not found: %s" % arg)
Exception: File not found: ../../media/webrtc/trunk/src/modules/modules_video_processing_sse2/libvideo_processing_sse2.a
make[6]: *** [libgkmedias.a.desc] Error 1
make[6]: *** Deleting file `libgkmedias.a.desc'
Comment 1 Michael Cronenworth 2013-01-06 08:10:13 EST
Upstream: https://bugzilla.mozilla.org/show_bug.cgi?id=783848
Comment 2 Fedora End Of Life 2013-04-03 10:56:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.